SFVIEW Help

Quick Start and Disclaimer

Basic use of the SFVIEW software is intended to be straightforward and intuitive. The program loads straight into the Headwords Window. Click on a headword to see the Entry Display Window with the relevant entry. When viewing an entry, click on any coloured link to follow a cross-reference. After following links you can backtrack through visited entries with the << button (or go in the reverse direction with >>), or choose from a list of recently visited entries in the File menu or (by right-clicking) the History Pop-Up Menu. The Picture button becomes active whenever a picture is available.

The Instant Search facility lets you whiz down the Headwords Window by typing the first few letters of the desired headword. You can also move the cursor through the list with the usual Windows keystrokes, and select entries (or, in the Entry Display Window, follow links) with Return.

Disclaimer

John Clute would like me to emphasize that the combination of the Grolier or Focus CD-ROM with the SFVIEW viewer does not constitute a new edition of The Encyclopedia of Science Fiction (SFE). The first edition, edited by Peter Nicholls, appeared in 1979. The second edition, edited by John Clute and Peter Nicholls, appeared in 1993. Its paperback reprints (1994 US, 1999 UK) contained a substantial appendix of corrections, updates and addenda. The 1995 Grolier CD-ROM incorporated this information (although a few further mistakes and many formatting errors were made. and some text accidentally omitted) plus additional updates to the tune of some 50,000 words, including entire new entries. The 1998 Focus Multimedia CD-ROM reissue has the exact same text, pictures and errors as Grolier's. Both CDs are now "out of print".

SFVIEW adds further corrections and missing text, but with the exception of death dates does not attempt to update the SFE to the present day. It is still, essentially, the second edition plus addenda ... although in a few places I've been unable to resist adding non-canonical comments signed DRL (David Langford). See for example the addenda to LONGEVITY. John Clute and I have been working since 2005 on the mighty task of the SFE's third edition: see http://sf-encyclopedia.com/.


Why This Viewer?

This Windows 95+ viewer software is designed to work with the 1995 Grolier CD-ROM edition of The Encyclopedia of Science Fiction, based on the second printed edition (1993; with addenda, 1999) ed. John Clute and Peter Nicholls. It is also suitable for use with the essentially identical 1998 Focus Multimedia reissue of Grolier's CD-ROM.

Why? The Grolier CD-ROM viewing software for the SF Encyclopedia has a number of limitations which the present software tries to remove, such as:

• The fixed-size 640x480-pixel bitmap presentation is unsatisfactory when viewed on a higher-resolution display.

• The text display window is confined to an even smaller area of this graphics presentation, to the point of serious inconvenience. It cannot be resized to a full-screen window as is expected of a Windows program, its non-optimal font cannot be altered, and even the unattractive cross-reference link colour is fixed.

• The headwords display window is smaller still, and most headwords therefore appear chopped off on the right.

• There is no simple single-click "Back" operation to retrace one's path through the cross-references. The History list allows a measure of retracing, but does not preserve the cursor position within the revisited entries.

• Global text searching does not locate the found text within an entry but merely presents a list of headwords whose entries contain the text.

• There are no facilities for searching or repeat-searching within entries.

• The "prelims" information – introduction, editorial practice, etc – is obscurely tucked away under "About" in the Help menu.

• Quick consultation of the SFE is delayed by the loading of two large graphics images in succession, after which it is necessary to select Archives, wait for a further graphics screen to load, and then select All Entries (or another option) simply to reach the headword list. Serious users will want to go straight to this list, or to conduct an immediate search.

• SFE graphics images are displayable at one fixed size only, and cannot be shown at the same time as the relevant text entry; independent text and picture windows seem desirable.

• Some segments of SFE text are missing from the CD-ROM owing to presumed conversion errors. The entire entry for Simon HAWKE (formerly Nicholas Yermakov) is missing. Several entries were cut short, often with much loss of text: these include Alan Dean FOSTER, ANTIMATTER, Charles N. BROWN, CANADA, Kathleen Ann GOONAN, LATIN AMERICA, MONSTERS, Patrick MOORE, NUCLEAR POWER and SPAIN. All thanks to John Clute for granting permission to restore missing text as part of the viewer facilities.

This text-oriented viewer aims to correct these problems and to introduce a number of new facilities such as bookmarking, global keyword search on any reasonable number of keywords, and specialized searches on italicized or boldfaced text only (respectively, titles and series titles).

Regrettably there are technical difficulties in linking images to their copyright and photographer credits. This may be dealt with in a later SFVIEW release; meanwhile, the information remains available through the Grolier interface.


Headwords Window

This, the main window of SFVIEW, is where the currently selected list of alphabetical headwords can be seen. The selection is always initially set to All Entries and may be altered through the View menu. Cross-reference entries (which contain no real text, just onward links) are marked with > following the headword.

Left-clicking on any headword will bring up the Entry Display Window with the relevant entry text.

Right-clicking anywhere in the list will show the History Pop-Up Menu.

Below is information on the facilities reached by the Headwords Window's main menu bar (some of which are duplicated on the button bar), and the keyboard commands including Instant Search which are available in this window.

File Menu

• Exit – leave the program.

• Copy of History Pop-Up Menu history contents. (Both these menus are preloaded with the entry last visited in your previous SFVIEW session, if any.)

Edit Menu

• Global Find – display the Global Find Box for use. This allows text searching through the entire SFE.

• Repeat Find – repeat a Global Find to show the next entry matching the current search criteria.

• Copy All – copy the entire current headwords list to the Windows clipboard. This allows a record to be made of e.g. selective headword lists produced by Global Find.

View Menu

Select which subset of the headwords is to be displayed. The choices are:

• All entries

• Authors

• Film/TV

• Publications/Art

• Terms/Themes

• SF Community

• Book Browser (book synopses ... not part of the main SFE)

• Image Gallery (Grolier's 2100-odd graphic images)

Prelims Menu

Display the SFE prelims and additional such material in the Grolier CD-ROM edition:

• Introduction to this Disc

• Copyrights & Credits

• Intro to the CD-ROM Edition

• Notes on Content

• Editorial Practices

• Contributors

• Acknowledgements

• Intro to the 2nd Book Edition

Multimedia Menu

Display the CD-ROM's video and audio clips. The submenus are Movies, Talking Heads, Theme Animations, Voice Only and Voice Only 2. The distinction between the last two is that Voice Only clips have filenames of the form SFASnnnn.MOV while Voice Only 2 filenames have the form SFTAnnnn.MOV. This presumably meant something to Grolier.

SFVIEW assumes that you have QuickTime Movie Player or equivalent software installed as the Windows default for playing .MOV video files. It also expects the SFE CD-ROM directory structure, with the audiovisual files scattered rather tiresomely across a number of directories called \Z0, \Z1, \Z2 etc. – not a problem if you load pictures and videos from the CD-ROM, but slightly fiddly if you want to copy the .MOV files only to your hard disk.

Please note: These old .MOV files may not be correctly handled by more recent versions of QuickTime or equivalent. An audible soundtrack with no picture is a typical problem. You can check whether the problem is in your video player by locating and clicking or double-clicking the .MOV files on the CD-ROM without using SFVIEW: for example, \Z2\SFMC0003.MOV is the trailer for The Blob. An alternative player recommended by a user of the SFVIEW software, and successfully tested here, is VLC Media Player.

Bookmarks Menu

• Edit Bookmarks – rearrange or delete existing bookmarks using the Bookmark Editor.

The rest of this menu contains the names of entries which you have "bookmarked" for quick access, using the Bookmarks menu of the Entry Display window. Click on any one to display it. Bookmarks are "remembered" from session to session, until you delete some or all of them with the Edit option.

Options Menu

Change various settings in the SFVIEW program:

• Fonts – choose your preferred Windows font and font size for the Headwords and Entry Display windows. Each can be set independently.

• Colours – choose your preferred colour for the cross-reference links (to other entries) and book links (to Book Browser synopses). Each can be set independently. The Colours submenu also offers Underline links ... a menu option which, if ticked, causes the text links in Entry Display to appear underlined as well as coloured. This can improve their visibility on mono displays.

• Button Bars – a submenu controlling the button bars in the Headwords, Entry Display and Image Display windows. To begin with, all three selections are ticked. If you prefer not to see one or more of these button bars, change the selection accordingly. When the Headwords window's bar is invisible, the View information appears in the main window caption instead.

• Net drives – tell SFVIEW to check remote network drives for SFE CD indexes etc during its start-up tests. Normally ticked for safety's sake, but should be unticked if no remote drive is used since in some versions of Windows this check causes long delays if the CD is not present and attempts are made to access unavailable remote drives.

• Removable drives – tell SFVIEW to check removable drives (other than CD-ROM) as above. Normally ticked, but should be unticked if not required since in some versions of Windows this check may produce Windows "No disk" errors when accessing e.g. built-in memory card readers with no card present. If you see this error, just click "Continue".

• Build Indexes – reconstruct the various indexes used for headword lists, alternative "views", cross-references, etc. This option is automatically run the first time SFVIEW is used. Otherwise, it's not normally required unless indexes are accidentally deleted, or a new version of SFVIEW requires the indexes to be rebuilt in changed or extended form.

• Build Global Index – construct or reconstruct the big (currently 50Mb) keyword index used for global search. This may be a long job – an hour or more on older, slower systems – and SFVIEW first displays a warning box and an opportunity to cancel the operation.

Help Menu

• Contents – show the contents list of this Help file.

• Entry statistics – show how many entries of each type (as in View) there are in the SFE and Book Browser.

• Help "hints" – when this item is ticked, active toolbar buttons and some other SFVIEW controls will automatically display a brief reminder of their function when the cursor is held over them.

• Release notes – display the current release notes. Mainly of interest to those who have been testing the program since its early versions. This option also provides some information on SFVIEW installation directories.

• Demonstration – a "shop window" feature that cycles randomly through entries in the currently selected headword list at 5-second intervals, also displaying pictures where available.

• About – redisplay the opening "splash" screen with program version number.

Button Bar

• Global Find – display the Global Find Box for use. This allows text searching through the entire SFE.

• View All – reset the "view" to display all headwords. This is a short cut to turn off a View menu selection.

• << Redisplay – bring up the Entry Display window with the last entry visited.

• Random – display a random entry from the current headword list. The equivalent of dipping haphazardly into the book to see what may be found....

Keyboard Control

You can move up and down the headword window with the obvious keys – arrows, PgUp and PgDn, Ctrl Pgup (top of list) and Ctrl PgDn (bottom of list). Menu short-cut keys appear in the pulldown menus. In this window both Ctrl F and Ctrl G command a Global Find, and both F3 and F4 a Global Repeat Find. Ctrl R has the same effect as the Random button. Also, the following keys operate the Instant Search facility:

• Letter/number keys – build up Instant Search text. For example, typing Z takes you to the first entry starting with Z. Then type E for the first entry starting ZE. Then L for ZEL (bringing you to ZELAZNY). The Instant Search text is shown at the far right of the button bar panel.

• Backspace – correct Instant Search text. After the ZEL search above, typing Backspace would reduce the text to ZE again, and move back to the first ZE headword.

• Return or Enter – select current headword and bring up the Entry Display Window with the corresponding entry text.

• Esc – erase the entire Instant Search text so you can type a new search string.


Entry Display Window

This is the window in which individual SFE entries (including prelims and Book Browser synopses) are displayed.

SFE addenda included with this viewer are automatically displayed at the end of any updated entry, captioned Addenda in boldface. In line with SFE policy, addenda are generally confined to factual corrections and updates applicable at the time of publication (plus subsequent death dates). Extending the scope of the book from the 1995 CD-ROM revision to the present day is rather more of a job.... For the quickest way to get the latest addenda, see On-line Updates.

File Menu

• Save Entry – save the currently displayed entry to a document on disk. Choose Rich Text Format (the default option) or plain ASCII text without print controls.

• Append Entry to File – save the currently displayed entry by appending it to an existing ASCII text (.TXT) file. Useful when preparing a working document of references for a particular project.

• Exit to Index – return to the Headwords Window.

• Copy of History Pop-Up Menu history contents

Edit Menu

• Find – find specified text within the current entry.

• Find Next – find the next occurence of the Find text within the current entry. Useful short cut: when you click a cross-reference link, the Find text is automatically loaded with the headword or author surname from the entry containing the cross-reference. Thus, for example, after following the link from 2001: A Space Odyssey to Kubrick, use Find Next or its short-cut key or button to jump straight to this entry's mention of 2001.

• Find Previous – find the previous occurrence of the Find text within the current entry.

• Global Find – display the Global Find Box for use. This allows text searching through the entire SFE.

• Repeat Global – repeat a Global Find to show the next entry matching the current search criteria.

Navigate Menu

• Back – go to the previously visited entry, if any. The last 100 visited entries are recorded for redisplay. SFVIEW saves the cursor position within recorded entries, allowing exact retracing of your steps.

• Forward – undo the effect of Back. After moving back through (say) six entries, six clicks of Forward will return you to the entry from which the backward moves began.

• Alpha Next – move to the next entry in the alphabetic list of all headwords.

• Alpha Previous – move to the previous entry in the alphabetic list of all headwords.

• Go to Addenda – if SFVIEW has placed addenda and updates at the end of the entry (as signalled by a message on the button bar and by the activation of this menu item), this takes you straight to the new material.

• Picture – if a graphic image is available, this selection launches the Image Display Window to show the picture.

• Random – move to a random entry in the current headword list.

• Index – return to the Headwords Window.

Bookmarks Menu

• Add Bookmark – add the current entry to the list of bookmarks displayed at the foot of this menu, so you can jump straight to it. This saves repeated searching when a project requires repeated reference to a particular entry or group of entries.

• Edit Bookmarks – rearrange or delete existing bookmarks using the Bookmark Editor.

The rest of this menu contains the names of entries which you have already "bookmarked" for quick access. Click on any one to display it. Bookmarks are "remembered" from session to session, until you delete some or all of them with the Edit option.

Addenda

This main menu bar option is enabled whenever an entry with addenda is being displayed. Click on this option to jump straight to the added information without needing to pull down the Navigate menu.

Help Menu

• Contents – show the contents list of this Help file.

• Word Count – provide a word count of the currently displayed entry. This option also counts the outgoing cross-reference links.

• About – redisplay the opening "splash" screen with program version number.

Button Bar

• Index – close this display window and return to the Headwords Window.

• << (Back) – go to the previously visited entry, if any. The last 100 visited entries are recorded for redisplay. SFVIEW saves the cursor position within recorded entries, allowing exact retracing of your steps.

• >> (Forward) – undo the effect of <<. After moving back through (say) six entries, six clicks of >> will return you to the entry from which the backward moves began.

• << ABC (Alpha previous) – move to the previous entry in the alphabetic list of all headwords.

• >> ABC (Alpha next) – move to the next entry in the alphabetic list of all headwords.

• Find – find text within the current entry.

• Find Nxt – perform a Repeat Find within the current entry.

• Glob Nxt – perform a Global Repeat Find.

• Picture – if a graphic image is available, this button launches the Image Display Window to show the picture.

• Random – display a random entry from the current headword list.

If you find this button bar too crowded, you can customize it by removing unwanted buttons. Right-click on any active button for a pop-up menu offering the options Hide Button (to remove the current button) and Show All Buttons (to restore all ten buttons listed above). Show All Buttons is also available via a left- or right-click on the buttonless part of the bar.

Keyboard Control

The usual Windows positioning keys operate within the display window. Menu short-cut keys appear in the pulldown menus, Ctrl R has the same effect as the Random button, and F2 the same as Addenda. Additionally, the following keys perform special actions;

• Return or Enter – follow a cross-reference link if the entry display cursor is positioned on one.

• Backspace – return to the previously displayed entry (if any) at the same cursor position as before.

• Esc – return to the Headwords Window.

• Alt-F12 – see below.

For Advanced Users

You can add your own updates to the SFVIEW.ADD addenda file using the "secret" edit window which appears on holding down Alt and pressing F12 while displaying an entry. If addenda already exist for an entry, the cursor is positioned on the first line. If not, SFVIEW offers to create a new addenda item at the "best guess" position (which may be out of alphabetical order, since the CD entry numbering is somewhat idiosyncratic). The actual order of addenda items makes no difference – they are referenced by entry number, not position. A pop-up menu in the addenda display allows insertion of various codes in the Grolier text mark-up system; see the existing addenda for many examples of this. Press Esc or close the window when finished. No further support is available for this feature – if you wish to use it, you're on your own!


Image Display Window

This window is used for display of all the available graphics images on the Grolier SFE CD-ROM. It appears when a picture link is requested in the Entry Display Window (Navigate menu option, or Picture toolbar button), or when a selection from the Image Gallery is made in the Headwords Window.

File Menu

• Save – opens a Save File dialogue box allowing the current image to be saved to disk in Windows Bitmap (BMP) or Zsoft Paintbrush (PCX) format.

• Exit – closes the image window.

Edit Menu

• Copy – copy the current image to the Windows clipboard, allowing it to be Pasted elsewhere.

Size Menu

Select the preferred image size, based on the "native" size of 100%. The Image Display Window is resized to match the image. The choices are:

• 75%

• 100%

• 150%

• 200%

Next "Menu"

This option is enabled when the SFE contains multiple pictures of the same subject. Click Next for the next image in the sequence. (For the sake of speed, there is no associated pull-down menu.) Repeated clicks will loop continuously through all available images.

Button Bar

The group of buttons labelled 75, 100, 150 and 200 control the size of the image, with 100% being the "native" size. The Image Display Window is resized to match the image.

The "empty" part of the button bar, to the right of the button group, will read >> when another picture of the same subject is available – see Next above. Clicking this part of the button bar will show the next image.

Mouse Control

Left-clicking on the image will close the Image Display Window. Right-clicking will cycle through the available image sizes.

The Image Display Window can also be temporarily resized to any height by dragging its lower edge to increase or decrease the height. Its width is automatically adjusted in proportion.

Keyboard Control

Press Esc to close the Image Display Window.


Global Find Box

This controls all "global" searching for text – that is, searches which extend through the whole of the SFE text (except for the separate Prelims and Book Browser entries). There are simple and more advanced search facilities, including restriction of the search to particular entry categories and even type styles. Some tricks and tips appear at the end of this section.

Simple Global Searching

To carry out a simple search for a particular text string, type your text into the Text or keywords to find slot and click the Find button (or press Return/Enter). SFVIEW will search the entire SFE and display the first entry with matching text, which will be automatically highlighted.

If further finds seem possible, the search can be repeated through the Entry Display window's Edit menu, by its Glob Nxt toolbar button, or by pressing F4. These options are disabled when no more finds are possible.

You may still get a "not found" message when further finds were seemingly possible. This is because SFVIEW screens entries on a fast keyword basis (so when seeking The Dark Light Years, it first selects the numerous entries containing all four words) and then examines the resulting entry list in turn for the exact text. Phrases containing at least one uncommon keyword are thus more quickly located by Global Find.

Advanced Global Searching

The Find (start searching now), Cancel and Help buttons in the Global Find Box are self-explanatory.

The Addenda button begins a search for the keyword "Addenda", which appears in (and only in) the entries which contain corrections and additions to the CD-ROM text – a short cut allowing display and individual examination of all such entries.

The Save button records the current settings of the checkboxes and radio buttons below, so that your preferred options are reloaded whenever SFVIEW is run.

The following controls allow further fine tuning of global text searches.

Checkboxes

• Show find statistics – when this is ticked, SFVIEW will display the results of the keyword screening process. In the example of The Dark Light Years, SFVIEW will show first the count of entries being searched, then the count of those containing THE, then of those also containing DARK ... and so on. This information is always displayed as a guide to your next search when no entries have been found to contain all the given keywords.

• Create "view" list of matching entries – normally SFVIEW goes automatically to the first entry found, and continues in response to repeat-find commands. With this option ticked, a headword list is created instead ... like the result of a View menu selection, but consisting of entries that match the search criteria, from which you can then choose. If only one entry is found, SFVIEW still displays it automatically.

• Show exact matches of find text only – normally ticked. If it is not ticked, SFVIEW searches for entries containing the given keywords only, without requiring the exact text to be found. The first keyword in the Text or keywords to find slot will be searched for and highlighted in entries displayed as a result of such a search. When searching in this way, put the least common or most interesting keyword first.

• Whole word match in keyword (non-exact) search – available only when Show exact matches is not ticked. This controls the searching within entries during a keyword search as described above. Normally the first keyword is located and highlighted exactly: a keyword search for WELLS is not matched by the possessive WELLS'S when searching within an entry. If this checkbox is unticked, WELLS'S will be found and highlighted in a WELLS keyword search. For most purposes it is better left ticked.

Restrict Search

To entry categories

This set of checkboxes offers categories corresponding to those in the headword window's View menu, excluding the non-canonical Book Browser. Normally All Entries is selected; but if you know the entry category or categories you are aiming for, the global search can often be speeded. In particular, when searching for a book title, restricting the search to Authors will usually find the most relevant context. Note that multiple selections are allowed: e.g. search in both Authors and Films by ticking both boxes.

To text styles

This radio-button selection is available only when the Show exact matches checkbox is ticked. It allows further restrictions on the style of text to be located within an entry. Specify Italics to focus on book titles (or better, Italics or Colour 2 to include Book Browser titles marked as links ... the latter are mostly well-known titles, though). Specify Bold to focus on publication dates or series titles like Foundation ... and so on.

Tricks and Tips

How many entries have addenda provided by SFVIEW? Happily, the word "addenda" appears just once in the SFE CD-ROM text ... in an entry that also has addenda. So a Global Find on "addenda" will reliably take you to – or display a View list of – all such entries. (Except cross-reference entries, which Global Find ignores since they don't contain genuine information – only onward links to other entries. A few have minor addenda because Grolier got the links wrong.) The Addenda button automates addenda search.

How many entries are by John Clute? Specify "[JC]" as the Global Find text and ask for a View list, whose displayed entry count gives the startling number of entries by Clute alone. If you're interested enough to investigate jointly written entries, try similar Global Finds on "/JC]" and "[JC/" to track down the articles credited to Clute/SomeoneElse and SomeoneElse/Clute, respectively.

If looking for a known short story title ... narrow the search by specifying quotes. Searching for "The Star" will locate all mentions of the Arthur C. Clarke and H.G. Wells stories; a search without the quote-marks gives hundreds of false alarms. Omit the leading or trailing quotes to locate, respectively, short-story titles ending or beginning with the desired words.


Bookmark Editor

This simple edit window displays a list of all currently recorded "bookmarks", as found in the Bookmarks menus of the Headwords and Entry Display windows. A bookmark allows you to jump quickly to any bookmarked entry. Unlike History Menu entries, bookmarks are "remembered" from session to session until explicitly deleted.

Any entry in the bookmark list can be highlighted by a mouse click or by use of the cursor keys. Five edit buttons control what happens next ...

• Delete – delete the highlighted bookmark from the list.

• Delete All – delete all the current bookmarks.

• Move Up – move the highlighted bookmark up by a line (unless it is already at the top).

• Move Down – move the highlighted bookmark down by a line (unless it is already at the bottom).

• Sort – sort the whole bookmarks list into alphabetical order.

Right-click on the bookmark list for a pop-up menu with one option so far ...

• Copy list to clipboard – allows pasting of your bookmark list from the Windows clipboard into other applications, e.g. to make a printed record.

After making your changes to the list, click one of the two remaining buttons to leave the editor dialogue box ...

• OK – accept all the changes just made, and transfer them back to the Bookmarks menus.

• Cancel – ignore all changes and leave the Bookmark menus as they were.


History Pop-Up Menu

Right-clicking in either the Headwords or the Entry Display window will pop up this menu. The History Pop-Up Menu records the last 12 or fewer entries which have been displayed, and allows immediate return to any of them by selecting it from the menu list.

A copy of this menu's history list also appears at the bottom of the File menu for each window. These menus are preloaded with the last entry visited in your previous SFVIEW session (if any).

The pop-up menu also offers additional options:

• Add Bookmark (Entry Display Window only) – add the currently displayed entry to the bookmarks list.

• Copy (Entry Display Window only) – copy selected text in the currently displayed entry to the Windows clipboard.

• Copy All – copy the whole contents of the current window, whether an entry or a headword list, to the Windows clipboard.


Support, Copyright, Thanks

Program copyright © Ansible Information, 1998-2020. This Help file updated January 2020.

The official SFVIEW web page is at http://ansible.uk/sfview/.

The latest versions of the SFVIEW software and the addenda file SFVIEW.ADD are also available as downloads from the web page, where they are updated with decreasing regularity. Please request the download access password from the above email address.

Ansible Information
94 London Road
Reading
Berks
RG1 5AU
England

Special thanks to John Dallman (patron), Marcus Rowland (ace beta tester), Paul Barnett (provider of authentic text missing from the Grolier CD-ROM), John Clute (encouragement, permissions and many, many updates), and Mark D. Rafn (without whom, image display on 256-colour video systems would have been a hell of a lot more work).